
$(document).ready(function(){
    //loading
    $('#loadingContainer').ajaxStart(function(){
	    $(this).show();
	    $('#loadingbackground').show().css({"opacity": "0.5"});
	}).ajaxStop(function(){
	    $(this).hide();
	});
	
//	$('div.save').css('top',$('.sub_container_content').get(0).clientHeight-$('div.save').get(0).clientHeight + $(".sub_container_title").get(0).clientHeight);
    setInterval(function(){
        $('div.save').css('top',$(window.parent.frames.right).height()-$('div.save').height()); //设置底部保存按扭的位置
        $('div.sub_container_content').css('height',$(window.parent.frames.right).height()-$('div.save').height()-$(".sub_container_title").height()-$(".tabmenu").height()-10); //设置内容区域的高度
    },100);
    
    settab();//顶部tab
    
    if($('#Dropdownlist1').val() == 0){
        $('#span_time').hide();
    }else{
       $('#span_time').show();
    }
    $('#Dropdownlist1').change(function(){
        if($(this).val() == 0){
            $('#span_time').hide();
        }else{
            $('#span_time').show();
        }
    });
    
    $('#lkb_code').click(function(){
        $.ajax({
            url:'SystemConfig.aspx?type=ajax&Action=GetSafeCode&NoCopyRight=1',
            cache:false,
            success:function(data){
                if(!checkLoginStatus(data)){return false;}//是否要重新登陆
                $('#txtsafecode').val(data);
            },
            error:function(){alert('error');}
        });
        return false;
    })
   
   
    //保存前先检测填写是否正确
    $('#btnSave').click(function(){if(!check()){return false}});
    
});

function SelectFieldValue(obj){
    var index = obj.attr('name').split('_')[1];
    if(obj.val() == '0'){$('#span_fieldvalue_'+index).show();}else{$('#span_fieldvalue_'+index).hide();}
}	

//是否显示库存警告数量
function CheckAlert(){if($('#cbxNeedAlert').attr('checked')){$("#mininum").show();}else{$("#mininum").hide();}}
//是否显示缩图宽度
function SetThumbnail(){if($('#cbxFromBigPic').attr('checked')){$("#ThumbnailPic").hide();}else{$("#ThumbnailPic").show();}}

//tab
function settab(){
    var items = $('li.menuitem').length;
    $('li.menuitem').each(function(index){
        $(this).click(function(){
            $(this).addClass('tabon').removeClass('tabout').siblings('.menuitem').removeClass('tabon').addClass('tabout');
            if(index != 0){
                $('div.tab').hide();
                $('div.tab').eq(index - 1).show();
            }else{
                $('div.tab').show();
            }
        });
    });
}

function check(){
    var floatReg = new RegExp(/[^\d\.]/g);
    var intReg = new RegExp(/[^\d]/g);//整数
    var posIntReg = new RegExp(/^[1-9]*[1-9][0-9]*$/g);//正整数
    if($('#txtMemberMaxAdrressCount').val().Trim() == ''){alert('用户地址簿数量上限必须填写');return false;}else if(intReg.test($('#txtMemberMaxAdrressCount').val().Trim())){alert('用户地址簿数量上限填写不正确');return false;}
    if($('#txtLinkLogoHeight').val().Trim() == ''){alert('友情链接logo高度必须填写');return false;}else if(intReg.test($('#txtLinkLogoHeight').val().Trim())){alert('友情链接logo高度填写不正确');return false;}
    if($('#txtLinkLogoWidth').val().Trim() == ''){alert('友情链接logo宽度必须填写');return false;}else if(intReg.test($('#txtLinkLogoWidth').val().Trim())){alert('友情链接logo宽度填写不正确');return false;}
//  20110107 modify by liwenhai
//  if($('#txtProductReviewScore').val().Trim() == ''){alert('商品评论积分必须填写');return false;}else if(intReg.test($('#txtProductReviewScore').val().Trim())){alert('商品评论积分填写不正确');return false;}
    
    //图片格式
    var imgpass = true;
    $('input[@type=file]').each(function(){
        if($(this).val() != ''){
            var extendName = $(this).val().substring($(this).val().lastIndexOf('.'));
            if(extendName.toLowerCase() != '.gif')
            {
                imgpass = false;
            }
        }
    });
    if(!imgpass){alert('水印图片图片只支持.gif格式');return false;}
    
    if($('#txtBulletinSizeInIndex').val().Trim() == ''){alert('首页滚动公告数量必须填写');return false;}else if(intReg.test($('#txtBulletinSizeInIndex').val().Trim())){alert('首页滚动公告数量填写不正确');return false;}
    if($('#txtCommendProductSizeInIndex').val().Trim() == ''){alert('首页推荐商品数量必须填写');return false;}else if(intReg.test($('#txtCommendProductSizeInIndex').val().Trim())){alert('首页推荐商品数量填写不正确');return false;}
    if($('#txtHotProductSizeInIndex').val().Trim() == ''){alert('首页热卖商品数量必须填写');return false;}else if(intReg.test($('#txtHotProductSizeInIndex').val().Trim())){alert('首页热卖商品数量填写不正确');return false;}
    if($('#txtNewProductSizeInIndex').val().Trim() == ''){alert('首页最新商品数量必须填写');return false;}else if(intReg.test($('#txtNewProductSizeInIndex').val().Trim())){alert('首页最新商品数量填写不正确');return false;}
    if($('#txtDiscountProductSizeInIndex').val().Trim() == ''){alert('首页折扣商品数量必须填写');return false;}else if(intReg.test($('#txtDiscountProductSizeInIndex').val().Trim())){alert('首页折扣商品数量填写不正确');return false;}
    
    
//    return false;
    return true;
}

//获取URL中参数
function getQueryStringRegExp(name){    
	var reg = new RegExp("(^|\\?|&)"+ name +"=([^&]*)(\\s|&|$)", "i");
	if (reg.test(location.href))
		return unescape(RegExp.$2.replace(/\+/g, " "));
		return "";
}
//去掉字符串前后空格
String.prototype.Trim = function() { 
    return this.replace(/(^\s*)|(\s*$)/g, ""); 
}

function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
    }
    return result;
}
